Path: API › 数据库管理

`POST /database`

获取 MySQL 的超时和过期相关配置参数。

## Request body

_Required._

- `action69.request_time` (string, required) — Unix 时间戳。
- `action69.request_token` (string, required) — 按 API 概览生成的签名。
- `action69.action` (string, required) — 具体操作名称。
  - one of `"GetTimeOut"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetTimeOut"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/database" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetTimeOut"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "default_password_lifetime": "0",
  "expire_logs_days": "10",
  "interactive_timeout": "28800",
  "wait_timeout": "28800"
}
```

- `action69.response.default.default_password_lifetime` (string, optional) — 默认密码有效期（天），`0` = 永不过期
- `action69.response.default.expire_logs_days` (string, optional) — 二进制日志过期天数
- `action69.response.default.interactive_timeout` (string, optional) — 交互连接超时（秒）
- `action69.response.default.wait_timeout` (string, optional) — 非交互连接超时（秒）


## GetTimeOut

获取 MySQL 的超时和过期相关配置参数。

- **路由**：`POST /database`
- **action**：`GetTimeOut`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetTimeOut` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| default_password_lifetime | String | 默认密码有效期（天），`0` = 永不过期 |
| expire_logs_days | String | 二进制日志过期天数 |
| interactive_timeout | String | 交互连接超时（秒） |
| wait_timeout | String | 非交互连接超时（秒） |

## 示例

```json
{
    "default_password_lifetime": "0",
    "expire_logs_days": "10",
    "interactive_timeout": "28800",
    "wait_timeout": "28800"
}
```

